.\" Man page generated from reStructuredText.
.
.TH "CWB_DUMP" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_dump \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.sp
This page provides a description of the cwb_dump command.
.nf

\fBUsage\fP

This command generates various files reporting information on the analysis. The files are saved in the report/dump directory.

\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_dump\fP (no arguments)
Prints help
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_dump all/dq/inj/lag/slag/job/sjob/history/events/config\fP
Generates the files reporting information on the analysis
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBFurther information\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
The following options can be passed to cwb_dump:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
action =   all   :  it dumps in the output files all the pieces of information provided by the other options
                    in this list

           dq    :  it dumps the data\-quality duty times

           inj   :  it dumps the list of injected simulated signals and their parameters. Note that this option
                    does not work in the case of \(aqon the fly\(aq simulation studies. The list can be used to
                    provide information on the simulation study in the final report

           lag   :  it dumps the list of time lags used in the production stage

           slag  :  it dumps the list of superlags used in the production stage

           job   :  it lists the standard jobs (variable length)

           sjob  :  it lists the jobs used for the super lags (fixed length)

           history  :  root_file_name
                           \- dump  :  it dumps the history infos
                           \- view  :  it views the history infos

           events   :  root_file_name  (gets the event parameters stored in the output root file)
                           \- dump  :  it saves the events\(aq parameters in the file report/dump/config_*.C
                           \- view  :  it views the events\(aq parameters

           config   :  root_file_name  (get the cwb parameters.C used in the last stage)
                           \- dump  :  save config to file report/dump/config_*.C
                           \- view  :  view config
                           \- m5d   :  view the MD5 cwb parameters.C
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
